---
document: modulemd
version: 2
data:
  name: llvm-toolset
  stream: "rhel8"
  version: 8070020230322070216
  context: 9edba152
  arch: aarch64
  summary: LLVM
  description: >-
    LLVM Tools and libraries
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  profiles:
    common:
      rpms:
      - llvm-toolset
  api:
    rpms:
    - clang
    - clang-analyzer
    - clang-devel
    - clang-libs
    - clang-tools-extra
    - git-clang-format
    - lld
    - lld-libs
    - lldb
    - lldb-devel
    - llvm
    - llvm-devel
    - llvm-libs
  components:
    rpms:
      clang:
        rationale: clang tools and libraries
        ref: be957384a20cc280264d9e33925924d97557f7f5
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      compiler-rt:
        rationale: LLVM compiler intrinsic and sanitizer libraries
        ref: 11e4e4ecf9fc7e4cceb46c94ecb6be6a34665bcb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      libomp:
        rationale: LLVM OpenMP runtime
        ref: 0e3c9e0c796fb9e95b91cdb318f25f08b536b701
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      lld:
        rationale: LLVM linker
        ref: f82f2978cbbb74ce1aa4442926fc070a2c72597f
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      lldb:
        rationale: lldb debugger
        ref: 7cc5f45d34b3aceb6c3a4fb11434dbc68eca4644
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      llvm:
        rationale: LLVM tools and libraries
        ref: 379eb95ac2106298eaa546f7e18e6c7a6ae77f6d
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      llvm-toolset:
        rationale: Meta package for llvm-toolset providing scl enable scripts.
        ref: 8e4df30c76d460027f924b79b6999df19f898fb6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      python-lit:
        rationale: Lit test runner for LLVM
        ref: e6248214a5c6f8929607c13e8e10f64a95099e23
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - clang-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - clang-analyzer-0:15.0.7-1.module_el8.7.0+3439+e027deec.noarch
    - clang-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-debugsource-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-devel-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-libs-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-libs-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-resource-filesystem-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-tools-extra-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - clang-tools-extra-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - compiler-rt-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - compiler-rt-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - compiler-rt-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - compiler-rt-debugsource-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - git-clang-format-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - libomp-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - libomp-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - libomp-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - libomp-debugsource-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - libomp-devel-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - libomp-test-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - libomp-test-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lld-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lld-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - lld-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lld-debugsource-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lld-devel-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lld-libs-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lld-libs-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lldb-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lldb-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - lldb-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lldb-debugsource-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - lldb-devel-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - llvm-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-debugsource-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-devel-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-devel-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-doc-0:15.0.7-1.module_el8.7.0+3439+e027deec.noarch
    - llvm-googletest-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-libs-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-libs-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-static-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-test-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-test-debuginfo-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-toolset-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - llvm-toolset-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - python-lit-0:15.0.7-1.module_el8.7.0+3439+e027deec.src
    - python3-clang-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
    - python3-lit-0:15.0.7-1.module_el8.7.0+3439+e027deec.noarch
    - python3-lldb-0:15.0.7-1.module_el8.7.0+3439+e027deec.aarch64
...
---
document: modulemd
version: 2
data:
  name: llvm-toolset-devel
  stream: "rhel8"
  version: 8070020230322070216
  context: 9edba152
  arch: aarch64
  summary: LLVM
  description: >-
    LLVM Tools and libraries
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      llvm-toolset: [rhel8]
      platform: [el8]
  profiles:
    common:
      rpms:
      - llvm-toolset
  api:
    rpms:
    - clang
    - clang-analyzer
    - clang-devel
    - clang-libs
    - clang-tools-extra
    - git-clang-format
    - lld
    - lld-libs
    - lldb
    - lldb-devel
    - llvm
    - llvm-devel
    - llvm-libs
  components:
    rpms:
      clang:
        rationale: clang tools and libraries
        ref: be957384a20cc280264d9e33925924d97557f7f5
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      compiler-rt:
        rationale: LLVM compiler intrinsic and sanitizer libraries
        ref: 11e4e4ecf9fc7e4cceb46c94ecb6be6a34665bcb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      libomp:
        rationale: LLVM OpenMP runtime
        ref: 0e3c9e0c796fb9e95b91cdb318f25f08b536b701
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      lld:
        rationale: LLVM linker
        ref: f82f2978cbbb74ce1aa4442926fc070a2c72597f
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      lldb:
        rationale: lldb debugger
        ref: 7cc5f45d34b3aceb6c3a4fb11434dbc68eca4644
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      llvm:
        rationale: LLVM tools and libraries
        ref: 379eb95ac2106298eaa546f7e18e6c7a6ae77f6d
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      llvm-toolset:
        rationale: Meta package for llvm-toolset providing scl enable scripts.
        ref: 8e4df30c76d460027f924b79b6999df19f898fb6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      python-lit:
        rationale: Lit test runner for LLVM
        ref: e6248214a5c6f8929607c13e8e10f64a95099e23
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
